package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.governance.OrganEmpVO;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskInfoVO;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskVO;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 服务计划Service
 *
 * @author czz
 */
@Service
public interface SrvTaskService {
    Page<SrvTaskVO> getSrvTaskList(Page<SrvTaskVO> page, Integer organId, String disableName, String disableTel,
                                   String empName, String certifNum, String startTime, String endTime,
                                   String status, String modeId);

    List<SrvTaskInfoVO> getSrvTaskInfoList(String programId);

    void addSrvTask(Long programId, Long srvEmpId, Date startTime, Date endTime);

    void updateSrvTask(String taskId, Long srvEmpId, Date startTime, Date endTime);

    Page<OrganEmpVO> getSrvOrganEmpList(Page<OrganEmpVO> page, String organId, String name, String certiType, String certifNum);

}
